import { Meta } from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/styles/color/fill - Set SVG fill'/>

# `fill`

The mixin sets the `fill` property (for SVG elements) using the design system's variables, allowing for dynamic updates and opacity control.

**Parameters:**
- `$color: Color | String` — color value, `'as-color'`, or `'init'`.
- `$opacity: Number | null` [null] — optional opacity level [0..1].
- `$important: Boolean` [false] — if `true`, adds `!important`.

## Example

```scss
@use '@dxtmisha/styles';

.icon-solid {
  @include styles.fill(styles.getColor('primary'), 1);
}

.icon-reset {
  @include styles.fill('init');
}
```
